# Uses of Class
java.awt.FontFormatException

Packages that use FontFormatException
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of FontFormatException in java.awt

Methods in java.awt that throw FontFormatException
Modifier and Type
Method
Description
`static Font`
Font.`createFont(int fontFormat, File fontFile)`
Returns a new `Font` using the specified font type and the specified font file.
`static Font`
Font.`createFont(int fontFormat, InputStream fontStream)`
Returns a new `Font` using the specified font type and input data.
`static Font[]`
Font.`createFonts(File fontFile)`
Returns a new array of `Font` decoded from the specified file.
`static Font[]`
Font.`createFonts(InputStream fontStream)`
Returns a new array of `Font` decoded from the specified stream.